import {parfumes, makeUp, hair} from "../../utils/constans/groupTypes";


module.exports = (req, res, next) => {
    let {id} = req.params;
    switch (id) {
        case '110': req.params.id = parfumes.all;
            break;
        case '210': req.params.id = makeUp.all;
            break;
        case '211': req.params.id = makeUp.eye;
            break;
        case '221': req.params.id = makeUp.eyebrows;
            break;
        case '231': req.params.id = makeUp.lips;
            break;
        case '241': req.params.id = makeUp.face;
            break;
        case '271': req.params.id = makeUp.palettes;
            break;
        case '310': req.params.id = hair.all;
            break;
        default: req.params.id = [id];
            break;
    }
    next();
};